package org.academiadecodigo.bootcamp.sniperelite.gameobject.barrel;

/**
 * MIT License
 * (c) 2017 Ricardo Constantino
 */

public enum BarrelType {
    PAPIERMÂCHÉ("papier-mâché", 1),
    PLASTIC("plastic", 2),
    WOOD("wooden", 3),
    STEEL("steel", 4);

    private int maxDamage;
    private String name;

    BarrelType(String name, int maxDamage) {
        this.maxDamage = maxDamage;
        this.name = name;
    }

    public int getMaxDamage() {
        return this.maxDamage;
    }

    @Override
    public String toString() {
        return this.name;
    }
}
